Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 543834 - sys-apps/pciutils-3.3.1: stable request
Summary: sys-apps/pciutils-3.3.1: stable request
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Stabilization (show other bugs)
Hardware: All Linux
: Normal enhancement (vote)
Assignee: Gentoo's Team for Core System packages
URL:
Whiteboard:
Keywords: STABLEREQ
Depends on:
Blocks: musl-porting
  Show dependency tree
 
Reported: 2015-03-20 02:58 UTC by Travis Tilley
Modified: 2018-04-21 09:55 UTC (History)
3 users (show)

See Also:
Package list:
sys-apps/pciutils-3.3.1
Runtime testing required: ---


Attachments
portability fix for musl (0001-sys-apps-pciutils-portability-fix-for-musl.patch,10.28 KB, patch)
2015-03-20 02:58 UTC, Travis Tilley
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Travis Tilley 2015-03-20 02:58:38 UTC
Created attachment 399292 [details, diff]
portability fix for musl

The `#if defined` block in lib/pread.h needs to be restructured slightly to enable compilation against musl. Attached is a patch against the hardened-dev musl branch that fixes the issue.
Comment 1 Felix Janda 2015-03-29 09:09:04 UTC
lgtm
The patch is only necessary for x86. That's why I haven't hit it before.

wrt to upstreaming:
...-3.2.0-io.patch is no longer necessary for current pciutils but the
pread issue is still upstream. I've submitted something:

http://article.gmane.org/gmane.linux.kernel.pci/40384
Comment 2 Felix Janda 2015-04-09 17:38:19 UTC
Fixed in pciutils-3.3.1.
Comment 3 Anthony Basile gentoo-dev 2015-05-13 17:40:29 UTC
         |                               | u   |  
         | a a   a         n   p     s   | n   |  
         | l m   r h i m m i   p s   p   | u s | r
         | p d a m p a 6 i o p c 3   a x | s l | e
         | h 6 r 6 p 6 8 p s p 6 9 s r 8 | e o | p
         | a 4 m 4 a 4 k s 2 c 4 0 h c 6 | d t | o
---------+-------------------------------+-----+-------
3.2.0    | + + + + + + + ~ o + + + + + + | o 0 | gentoo
3.2.1    | ~ ~ ~ ~ ~ ~ ~ ~ o ~ ~ ~ ~ ~ ~ | #   | gentoo
3.3.0-r2 | ~ ~ ~ ~ ~ ~ ~ ~ o ~ ~ ~ ~ ~ ~ | #   | gentoo
3.3.1    | ~ ~ ~ ~ ~ ~ ~ ~ o ~ ~ ~ ~ ~ ~ | o   | gentoo

We should ask for pciutils-3.3.1 to be stabilized next since it has been in the tree for one month.
Comment 4 Mikle Kolyada archtester Gentoo Infrastructure gentoo-dev Security 2015-08-06 19:19:32 UTC
amd64 stable
Comment 5 Tobias Klausmann gentoo-dev 2015-08-07 08:42:29 UTC
Stable on alpha.
Comment 6 Sergey Popov gentoo-dev 2015-08-12 12:59:10 UTC
s390 stable
Comment 7 Mikle Kolyada archtester Gentoo Infrastructure gentoo-dev Security 2015-08-16 17:25:19 UTC
x86 stable time ago by me
Comment 8 Mikle Kolyada archtester Gentoo Infrastructure gentoo-dev Security 2015-08-16 17:35:24 UTC
ia64 stable
Comment 9 Jeroen Roovers (RETIRED) gentoo-dev 2015-08-18 04:33:31 UTC
Stable for HPPA.
Comment 10 Markus Meier gentoo-dev 2015-08-21 16:41:45 UTC
arm stable
Comment 11 Jeroen Roovers (RETIRED) gentoo-dev 2015-08-24 05:17:04 UTC
Stable for PPC64.
Comment 12 Agostino Sarubbo gentoo-dev 2015-09-06 13:31:57 UTC
ppc stable
Comment 13 Agostino Sarubbo gentoo-dev 2015-09-21 11:33:09 UTC
sparc stable
Comment 14 Agostino Sarubbo gentoo-dev 2016-12-28 08:37:48 UTC
Dear Maintainer (or who is mainly involved in this stable request),

This is an auto-generated message that will move the current component to the new component Stabilization.
To ensure that the stabilization will proceed correctly, please fill the fields "Atoms to stabilize" and "Runtime testing required" as described here:
https://archives.gentoo.org/gentoo-dev/message/4b2ef0e9aa7588224b8ae799c5fe31fa
Comment 15 Michael Weber (RETIRED) gentoo-dev 2017-02-24 21:58:03 UTC
arm64 has 3.4.1 stable.
Comment 16 tt_1 2018-03-08 22:55:05 UTC
All in tree version work, don't they?
Comment 17 Mikle Kolyada archtester Gentoo Infrastructure gentoo-dev Security 2018-04-21 09:55:51 UTC
meh, too old bug.